This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Summuary
CPE Namecpe:/a:haxx:libcurl:7.15.5
Detail
VendorHaxxFirst view 2013-04-29
ProductLibcurlLast view2018-09-05
Version7.15.5TypeApplication
Edition 
Language 
Update 
 
CPE Productcpe:/a:haxx:libcurl

Activity : Overall

Related : CVE

 DateAlertAccess VectorAccess ComplexityAuthentication
102018-09-05CVE-2018-14618NetworkLowNone Requ...
7.52018-07-31CVE-2016-8622NetworkLowNone Requ...
52017-10-06CVE-2017-1000254NetworkLowNone Requ...
4.32017-10-04CVE-2017-1000100NetworkMediumNone Requ...
7.52016-10-07CVE-2016-7167NetworkLowNone Requ...
Hide | Show 15 More...
 DateAlertAccess VectorAccess ComplexityAuthentication
52016-10-03CVE-2016-7141NetworkLowNone Requ...
7.52016-08-10CVE-2016-5421NetworkLowNone Requ...
52016-08-10CVE-2016-5420NetworkLowNone Requ...
52016-08-10CVE-2016-5419NetworkLowNone Requ...
52015-05-01CVE-2015-3153NetworkLowNone Requ...
52015-04-24CVE-2015-3148NetworkLowNone Requ...
52015-04-24CVE-2015-3143NetworkLowNone Requ...
4.32015-01-15CVE-2014-8150NetworkMediumNone Requ...
52014-11-18CVE-2014-3620NetworkLowNone Requ...
52014-11-18CVE-2014-3613NetworkLowNone Requ...
5.82014-04-15CVE-2014-0139NetworkMediumNone Requ...
6.42014-04-15CVE-2014-0138NetworkLowNone Requ...
42014-02-01CVE-2014-0015NetworkHighNone Requ...
6.82013-07-31CVE-2013-2174NetworkMediumNone Requ...
52013-04-29CVE-2013-1944NetworkLowNone Requ...

CWE : Common Weakness Enumeration

%idName
21% (4)CWE-310Cryptographic Issues
15% (3)CWE-287Improper Authentication
15% (3)CWE-200Information Exposure
10% (2)CWE-190Integer Overflow or Wraparound
10% (2)CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer
Hide | Show 5 More...
%idName
5% (1)CWE-787Out-of-bounds Write
5% (1)CWE-416Use After Free
5% (1)CWE-285Improper Access Control (Authorization)
5% (1)CWE-284Access Control (Authorization) Issues
5% (1)CWE-264Permissions, Privileges, and Access Controls

Oval Markup Language : Definitions

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
OvalIDName
oval:org.mitre.oval:def:29165SUSE-SU-2015:0990-1 -- Security update for curl (moderate)
oval:org.mitre.oval:def:20280RHSA-2013:0771: curl security update (Moderate)
oval:org.mitre.oval:def:20032DSA-2660-1 curl - cookie leak vulnerability
oval:org.mitre.oval:def:18259USN-1801-1 -- curl vulnerability
oval:org.mitre.oval:def:23950ELSA-2013:0771: curl security update (Moderate)
Hide | Show 20 More...
idName
oval:org.mitre.oval:def:23498DEPRECATED: ELSA-2013:0771: curl security update (Moderate)
oval:org.mitre.oval:def:26023SUSE-SU-2013:0771-1 -- Security update for curl
oval:org.mitre.oval:def:25795SUSE-SU-2013:0772-1 -- Security update for compat-curl2
oval:org.mitre.oval:def:25538SUSE-SU-2013:0773-1 -- Security update for curl, curl
oval:org.mitre.oval:def:27357DEPRECATED: ELSA-2013-0771 -- curl security update (moderate)
oval:org.mitre.oval:def:24695DSA-2902-1 curl - security update
oval:org.mitre.oval:def:24626USN-2167-1 -- curl vulnerabilities
oval:org.mitre.oval:def:25299SUSE-OU-2014:0571-1 -- Optional OpenSSL 1.0 versions of cyrus-sasl, libcurl4 ...
oval:org.mitre.oval:def:24940SUSE-SU-2014:0691-1 -- Security update for curl
oval:org.mitre.oval:def:22425DSA-2849-1 curl - information disclosure
oval:org.mitre.oval:def:22209USN-2097-1 -- curl vulnerability
oval:org.mitre.oval:def:25393SUSE-SU-2014:0175-2 -- Security update for curl
oval:org.mitre.oval:def:25377SUSE-SU-2014:0175-1 -- Security update for curl
oval:org.mitre.oval:def:25350SUSE-SU-2014:0171-1 -- Security update for curl
oval:org.mitre.oval:def:26869DSA-3022-1 curl - security update
oval:org.mitre.oval:def:26774USN-2346-1 -- curl vulnerabilities
oval:org.mitre.oval:def:21195RHSA-2013:0983: curl security update (Moderate)
oval:org.mitre.oval:def:18350USN-1894-1 -- curl vulnerability
oval:org.mitre.oval:def:18308DSA-2713-1 curl - heap overflow
oval:org.mitre.oval:def:23721ELSA-2013:0983: curl security update (Moderate)

Information Assurance Vulnerability Management (IAVM)

idDescription
2015-A-0199Multiple Vulnerabilities in Apple Mac OS X
Severity : Category I - VMSKEY : V0061337
2014-B-0161Multiple Vulnerabilities in VMware ESXi 5.1
Severity : Category I - VMSKEY : V0057717

Nessus® Vulnerability Scanner

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
idDescription
2019-01-08Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2019-1002.nasl - Type : ACT_GATHER_INFO
2019-01-03Name : The remote Fedora host is missing a security update.
File : fedora_2018-111044d435.nasl - Type : ACT_GATHER_INFO
2019-01-03Name : The remote Fedora host is missing a security update.
File : fedora_2018-7f83032de6.nasl - Type : ACT_GATHER_INFO
2018-12-28Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2018-1427.nasl - Type : ACT_GATHER_INFO
2018-12-20Name : The remote Amazon Linux 2 host is missing a security update.
File : al2_ALAS-2018-1135.nasl - Type : ACT_GATHER_INFO
Hide | Show 20 More...
idDescription
2018-12-10Name : The remote EulerOS host is missing multiple security updates.
File : EulerOS_SA-2018-1401.nasl - Type : ACT_GATHER_INFO
2018-12-07Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2018-1112.nasl - Type : ACT_GATHER_INFO
2018-11-07Name : The remote Debian host is missing a security update.
File : debian_DLA-1568.nasl - Type : ACT_GATHER_INFO
2018-10-26Name : The remote EulerOS Virtualization host is missing multiple security updates.
File : EulerOS_SA-2018-1330.nasl - Type : ACT_GATHER_INFO
2018-09-21Name : The remote Fedora host is missing a security update.
File : fedora_2018-ba443bcb6d.nasl - Type : ACT_GATHER_INFO
2018-09-10Name : The remote Debian host is missing a security update.
File : debian_DLA-1498.nasl - Type : ACT_GATHER_INFO
2018-09-06Name : The remote Slackware host is missing a security update.
File : Slackware_SSA_2018-249-01.nasl - Type : ACT_GATHER_INFO
2018-09-06Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4286.nasl - Type : ACT_GATHER_INFO
2018-09-06Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_f4d638b9e6e54dbe8c70571dbc116174.nasl - Type : ACT_GATHER_INFO
2018-08-17Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2017-0041.nasl - Type : ACT_GATHER_INFO
2018-08-17Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2017-0044.nasl - Type : ACT_GATHER_INFO
2018-08-17Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2017-0045.nasl - Type : ACT_GATHER_INFO
2018-01-15Name : The remote Fedora host is missing a security update.
File : fedora_2017-e8179c06fd.nasl - Type : ACT_GATHER_INFO
2017-12-15Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201712-04.nasl - Type : ACT_GATHER_INFO
2017-12-07Name : The remote host is missing a macOS update that fixes multiple security vulner...
File : macos_10_13_2.nasl - Type : ACT_GATHER_INFO
2017-12-07Name : The remote host is missing a macOS or Mac OS X security update that fixes mul...
File : macosx_SecUpd2017-005.nasl - Type : ACT_GATHER_INFO
2017-12-04Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-3176-1.nasl - Type : ACT_GATHER_INFO
2017-12-01Name : The remote EulerOS host is missing a security update.
File : EulerOS_SA-2017-1287.nasl - Type : ACT_GATHER_INFO
2017-12-01Name : The remote EulerOS host is missing a security update.
File : EulerOS_SA-2017-1288.nasl - Type : ACT_GATHER_INFO
2017-11-06Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-919.nasl - Type : ACT_GATHER_INFO